# Changes to PostCSS Preset Env

### 9.1.0

_July 24, 2023_

- Added `@csstools/postcss-exponential-functions` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-exponential-functions#readme) for usage details.
- Added `env` option to control which [browserslist environment](https://github.com/browserslist/browserslist#configuring-for-different-environments) to target
- Fix [browserslist supports queries](https://github.com/browserslist/browserslist#full-list)
- Updated [`cssdb`](https://github.com/csstools/cssdb) to [`7.7.0`](https://github.com/csstools/cssdb/blob/main/CHANGELOG.md#770-july-24-2023) (major)
- Updated [`@csstools/postcss-logical-viewport-units`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-viewport-units) to [`2.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-viewport-units/CHANGELOG.md#201) (patch)
- Updated [`@csstools/postcss-color-function`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-function) to [`3.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-function/CHANGELOG.md#301) (patch)
- Updated [`@csstools/postcss-color-mix-function`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-mix-function) to [`2.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-mix-function/CHANGELOG.md#201) (patch)
- Updated [`@csstools/postcss-gradients-interpolation-method`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-gradients-interpolation-method) to [`4.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-gradients-interpolation-method/CHANGELOG.md#401) (patch)
- Updated [`@csstools/postcss-hwb-function`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-hwb-function) to [`3.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-hwb-function/CHANGELOG.md#301) (patch)
- Updated [`@csstools/postcss-media-minmax`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-minmax) to [`1.0.6`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-minmax/CHANGELOG.md#106) (patch)
- Updated [`@csstools/postcss-media-queries-aspect-ratio-number-values`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-queries-aspect-ratio-number-values) to [`2.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-queries-aspect-ratio-number-values/CHANGELOG.md#201) (patch)
- Updated [`@csstools/postcss-oklab-function`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-oklab-function) to [`3.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-oklab-function/CHANGELOG.md#301) (patch)
- Updated [`@csstools/postcss-relative-color-syntax`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-relative-color-syntax) to [`2.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-relative-color-syntax/CHANGELOG.md#201) (patch)
- Updated [`@csstools/postcss-stepped-value-functions`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-stepped-value-functions) to [`3.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-stepped-value-functions/CHANGELOG.md#301) (patch)
- Updated [`@csstools/postcss-trigonometric-functions`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-trigonometric-functions) to [`3.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-trigonometric-functions/CHANGELOG.md#301) (patch)
- Updated [`postcss-custom-properties`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-custom-properties) to [`13.3.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-custom-properties/CHANGELOG.md#1330) (minor)
- Updated [`postcss-lab-function`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-lab-function) to [`6.0.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-lab-function/CHANGELOG.md#601) (patch)

### 9.0.0

_July 3, 2023_

- Change license to `MIT-0` ([read more about this change in the blog post](https://preset-env.cssdb.org/blog/license-change/))
- Updated [`@csstools/postcss-cascade-layers`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-cascade-layers) to [`4.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-cascade-layers/CHANGELOG.md#400) (major)
- Updated [`@csstools/postcss-font-format-keywords`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-font-format-keywords) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-font-format-keywords/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-is-pseudo-class`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-is-pseudo-class) to [`4.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-is-pseudo-class/CHANGELOG.md#400) (major)
- Updated [`@csstools/postcss-logical-float-and-clear`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-float-and-clear) to [`2.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-float-and-clear/CHANGELOG.md#200) (major)
- Updated [`@csstools/postcss-logical-resize`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-resize) to [`2.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-resize/CHANGELOG.md#200) (major)
- Updated [`@csstools/postcss-logical-viewport-units`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-viewport-units) to [`2.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-viewport-units/CHANGELOG.md#200) (major)
- Updated [`@csstools/postcss-nested-calc`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-nested-calc) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-nested-calc/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-normalize-display-values`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-normalize-display-values) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-normalize-display-values/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-progressive-custom-properties`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-progressive-custom-properties) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-progressive-custom-properties/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-scope-pseudo-class`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-scope-pseudo-class) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-scope-pseudo-class/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-text-decoration-shorthand`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-text-decoration-shorthand) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-text-decoration-shorthand/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-unset-value`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-unset-value) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-unset-value/CHANGELOG.md#300) (major)
- Updated [`css-blank-pseudo`](https://github.com/csstools/postcss-plugins/tree/main/plugins/css-blank-pseudo) to [`6.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/css-blank-pseudo/CHANGELOG.md#600) (major)
- Updated [`css-has-pseudo`](https://github.com/csstools/postcss-plugins/tree/main/plugins/css-has-pseudo) to [`6.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/css-has-pseudo/CHANGELOG.md#600) (major)
- Updated [`css-prefers-color-scheme`](https://github.com/csstools/postcss-plugins/tree/main/plugins/css-prefers-color-scheme) to [`9.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/css-prefers-color-scheme/CHANGELOG.md#900) (major)
- Updated [`postcss-color-rebeccapurple`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-rebeccapurple) to [`9.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-rebeccapurple/CHANGELOG.md#900) (major)
- Updated [`postcss-dir-pseudo-class`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-dir-pseudo-class) to [`8.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-dir-pseudo-class/CHANGELOG.md#800) (major)
- Updated [`postcss-focus-visible`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-focus-visible) to [`9.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-focus-visible/CHANGELOG.md#900) (major)
- Updated [`postcss-focus-within`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-focus-within) to [`8.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-focus-within/CHANGELOG.md#800) (major)
- Updated [`postcss-gap-properties`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-gap-properties) to [`5.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-gap-properties/CHANGELOG.md#500) (major)
- Updated [`postcss-image-set-function`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-image-set-function) to [`6.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-image-set-function/CHANGELOG.md#600) (major)
- Updated [`postcss-logical`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical) to [`7.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical/CHANGELOG.md#700) (major)
- Updated [`postcss-nesting`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-nesting) to [`12.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-nesting/CHANGELOG.md#1200) (major)
- Updated [`postcss-overflow-shorthand`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-overflow-shorthand) to [`5.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-overflow-shorthand/CHANGELOG.md#500) (major)
- Updated [`postcss-place`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-place) to [`9.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-place/CHANGELOG.md#900) (major)
- Updated [`postcss-pseudo-class-any-link`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-pseudo-class-any-link) to [`9.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-pseudo-class-any-link/CHANGELOG.md#900) (major)
- Updated [`@csstools/postcss-ic-unit`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-ic-unit) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-ic-unit/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-media-minmax`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-minmax) to [`1.0.5`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-minmax/CHANGELOG.md#105) (patch)
- Updated [`@csstools/postcss-media-queries-aspect-ratio-number-values`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-queries-aspect-ratio-number-values) to [`2.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-queries-aspect-ratio-number-values/CHANGELOG.md#200) (major)
- Updated [`@csstools/postcss-stepped-value-functions`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-stepped-value-functions) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-stepped-value-functions/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-trigonometric-functions`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-trigonometric-functions) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-trigonometric-functions/CHANGELOG.md#300) (major)
- Updated [`postcss-color-functional-notation`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-functional-notation) to [`6.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-functional-notation/CHANGELOG.md#600) (major)
- Updated [`postcss-custom-media`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-custom-media) to [`10.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-custom-media/CHANGELOG.md#1000) (major)
- Updated [`postcss-custom-properties`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-custom-properties) to [`13.2.1`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-custom-properties/CHANGELOG.md#1321) (patch)
- Updated [`postcss-custom-selectors`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-custom-selectors) to [`7.1.4`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-custom-selectors/CHANGELOG.md#714) (patch)
- Updated [`postcss-double-position-gradients`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-double-position-gradients) to [`5.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-double-position-gradients/CHANGELOG.md#500) (major)
- Updated [`@csstools/postcss-gradients-interpolation-method`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-gradients-interpolation-method) to [`4.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-gradients-interpolation-method/CHANGELOG.md#400) (major)
- Updated [`@csstools/postcss-hwb-function`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-hwb-function) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-hwb-function/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-oklab-function`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-oklab-function) to [`3.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-oklab-function/CHANGELOG.md#300) (major)
- Updated [`@csstools/postcss-relative-color-syntax`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-relative-color-syntax) to [`2.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-relative-color-syntax/CHANGELOG.md#200) (major)
- Updated [`postcss-lab-function`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-lab-function) to [`6.0.0`](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-lab-function/CHANGELOG.md#600) (major)

### 8.5.1

_June 21, 2023_

- Updated `@csstools/postcss-media-minmax` to `1.0.4` (patch)
- Updated `@csstools/postcss-media-queries-aspect-ratio-number-values` to `1.0.4` (patch)
- Updated `postcss-custom-media` to `9.1.5` (patch)

### 8.5.0

_June 14, 2023_

- Add warning when using the deprecated `@nest` rule
- Updated `@csstools/postcss-relative-color-syntax` to `1.0.2` (patch)
- Updated `postcss-nesting` to `11.3.0` (minor)

### 8.4.2

_June 1, 2023_

- Updated `@csstools/postcss-progressive-custom-properties` to `2.3.0` (minor)
- Updated `postcss-custom-properties` to `13.2.0` (minor)
- Updated `@csstools/postcss-color-function` to `2.2.3` (patch)
- Updated `@csstools/postcss-color-mix-function` to `1.0.3` (patch)
- Updated `@csstools/postcss-gradients-interpolation-method` to `3.0.6` (patch)
- Updated `@csstools/postcss-ic-unit` to `2.0.4` (patch)
- Updated `@csstools/postcss-media-minmax` to `1.0.3` (patch)
- Updated `@csstools/postcss-media-queries-aspect-ratio-number-values` to `1.0.3` (patch)
- Updated `@csstools/postcss-oklab-function` to `2.2.3` (patch)
- Updated `@csstools/postcss-relative-color-syntax` to `1.0.1` (patch)
- Updated `postcss-color-functional-notation` to `5.1.0` (minor)
- Updated `postcss-custom-media` to `9.1.4` (patch)
- Updated `postcss-double-position-gradients` to `4.0.4` (patch)
- Updated `postcss-lab-function` to `5.2.3` (patch)

### 8.4.1

_May 19, 2023_

- Added `@csstools/postcss-relative-color-syntax` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-relative-color-syntax#readme) for usage details (really this time).

### 8.4.0

_May 19, 2023_

- Added `@csstools/postcss-relative-color-syntax` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-relative-color-syntax#readme) for usage details.
- Updated `cssdb` to `7.6.0.` (minor)
- Updated `@csstools/postcss-progressive-custom-properties` to `2.2.0` (minor)
- Updated `@csstools/postcss-ic-unit` to `2.0.3` (patch)
- Updated `@csstools/postcss-text-decoration-shorthand` to `2.2.4` (patch)
- Updated `postcss-double-position-gradients` to `4.0.3` (patch)
- Updated `@csstools/postcss-color-function` to `2.2.2` (patch)
- Updated `@csstools/postcss-color-mix-function` to `1.0.2` (patch)
- Updated `@csstools/postcss-gradients-interpolation-method` to `3.0.5` (patch)
- Updated `@csstools/postcss-hwb-function` to `2.2.2` (patch)
- Updated `@csstools/postcss-oklab-function` to `2.2.2` (patch)
- Updated `postcss-lab-function` to `5.2.2` (patch)

### 8.3.3

_May 19, 2023_

- Update plugin order to preserve more original values.
- Fix exception on unknown features [#969](https://github.com/csstools/postcss-plugins/issues/969)
- Updated `@csstools/postcss-is-pseudo-class` to `3.2.1` (patch)
- Updated `postcss-logical` to `6.2.0` (minor)

### 8.3.2

_April 17, 2023_

- Updated `@csstools/postcss-gradients-interpolation-method` to `3.0.4` (patch)

### 8.3.1

_April 10, 2023_

- Updated `@csstools/postcss-logical-viewport-units` to `1.0.3` (patch)
- Updated `@csstools/postcss-media-minmax` to `1.0.2` (patch)
- Updated `@csstools/postcss-media-queries-aspect-ratio-number-values` to `1.0.2` (patch)
- Updated `@csstools/postcss-stepped-value-functions` to `2.1.1` (patch)
- Updated `@csstools/postcss-trigonometric-functions` to `2.1.1` (patch)
- Updated `postcss-custom-media` to `9.1.3` (patch)
- Updated `postcss-custom-properties` to `13.1.5` (patch)
- Updated `postcss-custom-selectors` to `7.1.3` (patch)
- Updated `@csstools/postcss-color-function` to `2.2.1` (patch)
- Updated `@csstools/postcss-color-mix-function` to `1.0.1` (patch)
- Updated `@csstools/postcss-gradients-interpolation-method` to `3.0.3` (patch)
- Updated `@csstools/postcss-hwb-function` to `2.2.1` (patch)
- Updated `@csstools/postcss-oklab-function` to `2.2.1` (patch)
- Updated `postcss-lab-function` to `5.2.1` (patch)

### 8.3.0

_March 31, 2023_

- Replace `postcss-media-minmax` with `@csstools/postcss-media-minmax` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-minmax#readme) for usage details. _We hope to revert this in the future when maintenance is resumed upstream._
- Updated `cssdb` to `7.5.3` (patch)

### 8.2.0

_March 28, 2023_

- Added `@csstools/postcss-gradients-interpolation-method` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-gradients-interpolation-method#readme) for usage details.
- Updated `cssdb` to `7.5.2` (patch)

### 8.1.0

_March 25, 2023_

- Added `@csstools/postcss-color-mix-function` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-mix-function#readme) for usage details.
- Improve `debug` message format
- Updated `@csstools/postcss-cascade-layers` to `3.0.1` (patch)
- Updated `@csstools/postcss-color-function` to `2.2.0` (minor)
- Updated `@csstools/postcss-font-format-keywords` to `2.0.2` (patch)
- Updated `@csstools/postcss-hwb-function` to `2.2.0` (minor)
- Updated `@csstools/postcss-ic-unit` to `2.0.2` (patch)
- Updated `@csstools/postcss-is-pseudo-class` to `3.1.1` (minor)
- Updated `@csstools/postcss-logical-float-and-clear` to `1.0.1` (patch)
- Updated `@csstools/postcss-logical-resize` to `1.0.1` (patch)
- Updated `@csstools/postcss-logical-viewport-units` to `1.0.2` (patch)
- Updated `@csstools/postcss-media-queries-aspect-ratio-number-values` to `1.0.1` (patch)
- Updated `@csstools/postcss-nested-calc` to `2.0.2` (patch)
- Updated `@csstools/postcss-normalize-display-values` to `2.0.1` (patch)
- Updated `@csstools/postcss-oklab-function` to `2.1.0` (minor)
- Updated `@csstools/postcss-progressive-custom-properties` to `2.1.0` (minor)
- Updated `@csstools/postcss-scope-pseudo-class` to `2.0.2` (patch)
- Updated `@csstools/postcss-stepped-value-functions` to `2.1.0` (minor)
- Updated `@csstools/postcss-text-decoration-shorthand` to `2.2.1` (minor)
- Updated `@csstools/postcss-trigonometric-functions` to `2.1.0` (minor)
- Updated `@csstools/postcss-unset-value` to `2.0.1` (patch)
- Updated `autoprefixer` to `10.4.14` (patch)
- Updated `browserslist` to `4.21.5` (patch)
- Updated `css-blank-pseudo` to `5.0.2` (patch)
- Updated `css-has-pseudo` to `5.0.2` (patch)
- Updated `css-prefers-color-scheme` to `8.0.2` (patch)
- Updated `cssdb` to `7.5.1` (minor)
- Updated `postcss-attribute-case-insensitive` to `6.0.2` (patch)
- Updated `postcss-color-functional-notation` to `5.0.2` (patch)
- Updated `postcss-color-hex-alpha` to `9.0.2` (patch)
- Updated `postcss-color-rebeccapurple` to `8.0.2` (patch)
- Updated `postcss-custom-media` to `9.1.2` (patch)
- Updated `postcss-custom-properties` to `13.1.4` (patch)
- Updated `postcss-custom-selectors` to `7.1.2` (patch)
- Updated `postcss-dir-pseudo-class` to `7.0.2` (patch)
- Updated `postcss-double-position-gradients` to `4.0.2` (patch)
- Updated `postcss-focus-visible` to `8.0.2` (patch)
- Updated `postcss-focus-within` to `7.0.2` (patch)
- Updated `postcss-gap-properties` to `4.0.1` (patch)
- Updated `postcss-image-set-function` to `5.0.2` (patch)
- Updated `postcss-lab-function` to `5.2.0` (minor)
- Updated `postcss-logical` to `6.1.0` (minor)
- Updated `postcss-nesting` to `11.2.1` (minor)
- Updated `postcss-opacity-percentage` to `2.0.0` (major)
- Updated `postcss-overflow-shorthand` to `4.0.1` (patch)
- Updated `postcss-page-break` to `3.0.4` (patch)
- Updated `postcss-place` to `8.0.1` (patch)
- Updated `postcss-pseudo-class-any-link` to `8.0.2` (patch)
- Updated `postcss-selector-not` to `7.0.1` (patch)

### 8.0.1

_January 28, 2023_

- Improve `types` declaration in `package.json`

### 8.0.0

_January 24, 2023_

- See [the dedicated Wiki page](https://github.com/csstools/postcss-plugins/wiki/PostCSS-Preset-Env-8) for more information.
- Added: TypeScript support.
- Added `@csstools/postcss-media-queries-aspect-ratio-number-values` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-queries-aspect-ratio-number-values#readme) for usage details.
- Added `@csstools/postcss-logical-float-and-clear` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-float-and-clear#readme) for usage details.
- Added `@csstools/postcss-logical-resize` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-resize#readme) for usage details.
- Added `@csstools/postcss-logical-viewport-units` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-viewport-units#readme) for usage details.
- Added `logical` option to control all logical plugins.
- Added `@csstools/postcss-scope-pseudo-class` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-scope-pseudo-class#readme) for usage details.
- Updated Support for Node v14+ (major).
- Fixed: `all-property` and `overflow-wrap-property` now follow the `preserve` plugin option
- Removed a workaround to consider `blank-pseudo-class` and `prefers-color-scheme-query` as `stage: 1` features when using default options.
- Removed `postcss-env-function` (breaking).
- Removed `importFrom` and `exportTo` plugin options from multiple plugins. (breaking)
	- `postcss-custom-media`
	- `postcss-custom-properties`
	- `postcss-custom-selectors`
- Breaking: `enableClientSidePolyfills` is now `false` by default (was `true`)
- Updated `@csstools/postcss-cascade-layers` to `3.0.0` (major)
- Updated `@csstools/postcss-color-function` to `2.0.0` (major)
- Updated `@csstools/postcss-font-format-keywords` to `2.0.0` (major)
- Updated `@csstools/postcss-hwb-function` to `2.0.0` (major)
- Updated `@csstools/postcss-ic-unit` to `2.0.0` (major)
- Updated `@csstools/postcss-is-pseudo-class` to `3.0.0` (major)
- Updated `@csstools/postcss-nested-calc` to `2.0.0` (major)
- Updated `@csstools/postcss-normalize-display-values` to `2.0.0` (major)
- Updated `@csstools/postcss-oklab-function` to `2.0.0` (major)
- Updated `@csstools/postcss-scope-pseudo-class` to `2.0.0` (major)
- Updated `@csstools/postcss-stepped-value-functions` to `2.0.0` (major)
- Updated `@csstools/postcss-text-decoration-shorthand` to `2.0.0` (major)
- Updated `@csstools/postcss-trigonometric-functions` to `2.0.0` (major)
- Updated `@csstools/postcss-unset-value` to `2.0.0` (major)
- Updated `css-blank-pseudo` to `5.0.0` (major)
- Updated `css-has-pseudo` to `5.0.0` (major)
- Updated `css-prefers-color-scheme` to `8.0.0` (major)
- Updated `postcss-attribute-case-insensitive` to `6.0.0` (major)
- Updated `postcss-color-functional-notation` to `5.0.0` (major)
- Updated `postcss-color-hex-alpha` to `9.0.0` (major)
- Updated `postcss-color-rebeccapurple` to `8.0.0` (major)
- Updated `postcss-custom-media` to `9.1.0` (major)
- Updated `postcss-custom-properties` to `13.1.0` (minor)
- Updated `postcss-custom-selectors` to `7.1.0` (minor)
- Updated `postcss-dir-pseudo-class` to `7.0.0` (major)
- Updated `postcss-double-position-gradients` to `4.0.0` (major)
- Updated `postcss-focus-visible` to `8.0.0` (major)
- Updated `postcss-focus-within` to `7.0.0` (major)
- Updated `postcss-gap-properties` to `4.0.0` (major)
- Updated `postcss-image-set-function` to `5.0.0` (major)
- Updated `postcss-lab-function` to `5.0.0` (major)
- Updated `postcss-logical` to `6.0.0` (major)
- Updated `postcss-nesting` to `11.0.0` (major)
- Updated `postcss-overflow-shorthand` to `4.0.0` (major)
- Updated `postcss-place` to `8.0.0` (major)
- Updated `postcss-pseudo-class-any-link` to `8.0.0` (major)
- Updated `postcss-selector-not` to `7.0.0` (major)

### 8.0.0-rc.0

_January 24, 2023_

- Added: TypeScript support.
- Added `@csstools/postcss-media-queries-aspect-ratio-number-values` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-media-queries-aspect-ratio-number-values#readme) for usage details.
- Added `@csstools/postcss-logical-float-and-clear` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-float-and-clear#readme) for usage details.
- Added `@csstools/postcss-logical-resize` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-resize#readme) for usage details.
- Added `@csstools/postcss-logical-viewport-units` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-logical-viewport-units#readme) for usage details.
- Added `logical` option to control all logical plugins.
- Fixed: `all-property` and `overflow-wrap-property` now follow the `preserve` plugin option
- Removed a workaround to consider `blank-pseudo-class` and `prefers-color-scheme-query` as `stage: 1` features when using default options.
- Updated `@csstools/postcss-cascade-layers` to `3.0.0` (major)
- Updated `@csstools/postcss-color-function` to `2.0.0` (major)
- Updated `@csstools/postcss-font-format-keywords` to `2.0.0` (major)
- Updated `@csstools/postcss-hwb-function` to `2.0.0` (major)
- Updated `@csstools/postcss-ic-unit` to `2.0.0` (major)
- Updated `@csstools/postcss-is-pseudo-class` to `3.0.0` (major)
- Updated `@csstools/postcss-nested-calc` to `2.0.0` (major)
- Updated `@csstools/postcss-normalize-display-values` to `2.0.0` (major)
- Updated `@csstools/postcss-oklab-function` to `2.0.0` (major)
- Updated `@csstools/postcss-scope-pseudo-class` to `2.0.0` (major)
- Updated `@csstools/postcss-stepped-value-functions` to `2.0.0` (major)
- Updated `@csstools/postcss-text-decoration-shorthand` to `2.0.0` (major)
- Updated `@csstools/postcss-trigonometric-functions` to `2.0.0` (major)
- Updated `@csstools/postcss-unset-value` to `2.0.0` (major)
- Updated `css-blank-pseudo` to `5.0.0` (major)
- Updated `css-has-pseudo` to `5.0.0` (major)
- Updated `css-prefers-color-scheme` to `8.0.0` (major)
- Updated `postcss-attribute-case-insensitive` to `6.0.0` (major)
- Updated `postcss-color-functional-notation` to `5.0.0` (major)
- Updated `postcss-color-hex-alpha` to `9.0.0` (major)
- Updated `postcss-color-rebeccapurple` to `8.0.0` (major)
- Updated `postcss-custom-media` to `9.1.0` (major)
- Updated `postcss-custom-properties` to `13.1.0` (minor)
- Updated `postcss-custom-selectors` to `7.1.0` (minor)
- Updated `postcss-dir-pseudo-class` to `7.0.0` (major)
- Updated `postcss-double-position-gradients` to `4.0.0` (major)
- Updated `postcss-focus-visible` to `8.0.0` (major)
- Updated `postcss-focus-within` to `7.0.0` (major)
- Updated `postcss-gap-properties` to `4.0.0` (major)
- Updated `postcss-image-set-function` to `5.0.0` (major)
- Updated `postcss-lab-function` to `5.0.0` (major)
- Updated `postcss-logical` to `6.0.0` (major)
- Updated `postcss-nesting` to `11.0.0` (major)
- Updated `postcss-overflow-shorthand` to `4.0.0` (major)
- Updated `postcss-place` to `8.0.0` (major)
- Updated `postcss-pseudo-class-any-link` to `8.0.0` (major)
- Updated `postcss-selector-not` to `7.0.0` (major)

### 8.0.0-alpha.1

_November 14, 2022_

- Updated Support for Node v14+ (major).
- Removed `postcss-env-function` (breaking).
- Removed `importFrom` and `exportTo` plugin options from multiple plugins. (breaking)
  - `postcss-custom-media`
  - `postcss-custom-properties`
  - `postcss-custom-selectors`
- Added `@csstools/postcss-scope-pseudo-class` [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-scope-pseudo-class#readme) for usage details.
- Updated `postcss-custom-media` to `9.0.0` (major)
- Updated `postcss-custom-properties` to `13.0.0` (major)
- Updated `postcss-custom-selectors` to `7.0.0` (major)
- Updated `@csstools/postcss-cascade-layers` to `2.0.0` (major)
- Updated `css-blank-pseudo` to `4.1.1` (minor)
- Updated `css-has-pseudo` to `4.0.1` (patch)
- Updated `css-prefers-color-scheme` to `7.0.1` (patch)
- Updated `postcss-focus-visible` to `7.1.0` (minor)
- Updated `postcss-focus-within` to `6.1.1` (minor)

### 8.0.0-alpha.0

_July 8, 2022_

- Breaking: `enableClientSidePolyfills` is now `false` by default (was `true`)
- Updated `@csstools/postcss-stepped-value-functions` to `1.0.1` (patch)
- Updated `@csstools/postcss-trigonometric-functions` to `1.0.2` (patch)
- Updated `@csstools/postcss-unset-value` to `1.0.2` (patch)
- Updated `browserslist` to `4.21.1` (patch)
- Updated `css-blank-pseudo` to `4.0.0` (major)
- Updated `css-has-pseudo` to `4.0.0` (major)
- Updated `css-prefers-color-scheme` to `7.0.0` (major)
- Updated `postcss-attribute-case-insensitive` to `5.0.2` (patch)
- Updated `postcss-color-functional-notation` to `4.2.4` (patch)
- Updated `postcss-color-rebeccapurple` to `7.1.1` (patch)
- Updated `postcss-dir-pseudo-class` to `6.0.5` (patch)
- Updated `postcss-double-position-gradients` to `3.1.2` (patch)
- Updated `postcss-focus-visible` to `7.0.0` (major)
- Updated `postcss-focus-within` to `6.0.0` (major)
- Updated `postcss-gap-properties` to `3.0.4` (patch)
- Updated `postcss-image-set-function` to `4.0.7` (patch)
- Updated `postcss-lab-function` to `4.2.1` (patch)
- Updated `postcss-nesting` to `10.1.10` (patch)
- Updated `postcss-overflow-shorthand` to `3.0.4` (patch)
- Updated `postcss-place` to `7.0.5` (patch)
- Updated `postcss-pseudo-class-any-link` to `7.1.6` (patch)
- Updated `postcss-selector-not` to `6.0.1` (patch)

### 7.8.3

_November 14, 2022_

- Update `autoprefixer` to `10.4.13` (patch)
- Update `browserlist` to `4.21.4` (patch)
- Update `postcss-custom-properties` to `12.1.10` (patch)
- Update `@csstools/postcss-cascade-layers` to `1.1.1` (patch)

### 7.8.2

_September 15, 2022_

- Update `@csstools/postcss-cascade-layers` to `1.1.0` (minor)
- Update `autoprefixer` to `10.4.11` (patch)
- Update `postcss-custom-properties` to `12.1.9` (patch)
- Update `postcss-nesting` to `10.2.0` (minor)

### 7.8.1

_September 7, 2022_

- Update `cssdb` to `7.0.1` (patch)
- Update `@csstools/postcss-cascade-layers` to `1.0.6` (patch)

### 7.8.0

_August 16, 2022_

- Added `@csstools/postcss-nested-calc` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-nested-calc#readme) for usage details.
- Added `@csstools/postcss-text-decoration-shorthand` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-text-decoration-shorthand#readme) for usage details.
- Update `@csstools/postcss-cascade-layers` to `1.0.5` (patch)
- Update `@csstools/postcss-color-function` to `1.1.1` (patch)
- Update `@csstools/postcss-font-format-keywords` to `1.0.1` (patch)
- Update `@csstools/postcss-hwb-function` to `1.0.2` (patch)
- Update `@csstools/postcss-ic-unit` to `1.0.1` (patch)
- Update `@csstools/postcss-is-pseudo-class` to `2.0.7` (patch)
- Update `@csstools/postcss-normalize-display-values` to `1.0.1` (patch)
- Update `@csstools/postcss-oklab-function` to `1.1.1` (patch)
- Update `@csstools/postcss-stepped-value-functions` to `1.0.1` (patch)
- Update `@csstools/postcss-trigonometric-functions` to `1.0.2` (patch)
- Update `@csstools/postcss-unset-value` to `1.0.2` (patch)
- Update `autoprefixer` to `10.4.8` (patch)
- Update `browserslist` to `4.21.3` (patch)
- Update `cssdb` to `7.0.0` (major)
- Update `postcss-attribute-case-insensitive` to `5.0.2` (patch)
- Update `postcss-color-functional-notation` to `4.2.4` (patch)
- Update `postcss-color-rebeccapurple` to `7.1.1` (patch)
- Update `postcss-dir-pseudo-class` to `6.0.5` (patch)
- Update `postcss-double-position-gradients` to `3.1.2` (patch)
- Update `postcss-gap-properties` to `3.0.5` (patch)
- Update `postcss-image-set-function` to `4.0.7` (patch)
- Update `postcss-lab-function` to `4.2.1` (patch)
- Update `postcss-nesting` to `10.1.10` (patch)
- Update `postcss-overflow-shorthand` to `3.0.4` (patch)
- Update `postcss-place` to `7.0.5` (patch)
- Update `postcss-pseudo-class-any-link` to `7.1.6` (patch)
- Update `postcss-selector-not` to `6.0.1` (patch)

### 7.7.2

_June 23, 2022_

- Fix `op_mini all` not working as a browser list.
- Updated `postcss-color-rebeccapurple` to `7.1.0` (minor)
- Updated `browserslist` to `4.21.0` (minor)
- Updated `@csstools/postcss-cascade-layers` to `1.0.4` (patch)
- Updated `@csstools/postcss-is-pseudo-class` to `2.0.6` (patch)
- Updated `postcss-color-hex-alpha` to `8.0.4` (patch)
- Updated `postcss-custom-media` to `8.0.2` (patch)
- Updated `postcss-custom-properties` to `12.1.8` (patch)
- Updated `postcss-custom-selectors` to `6.0.3` (patch)
- Updated `postcss-nesting` to `10.1.9` (patch)
- Updated `postcss-pseudo-class-any-link` to `7.1.5` (patch)

### 7.7.1

_June 3, 2022_

- Updated `postcss-selector-not` to `6.0.0` (major)
- Updated `@csstools/postcss-trigonometric-functions` to `1.0.1` (patch)
- Updated `postcss-attribute-case-insensitive` to `5.0.1` (patch)
- Updated `postcss-custom-media` to `8.0.1` (patch)
- Updated `postcss-custom-selectors` to `6.0.2` (patch)
- Updated `cssdb` to `6.6.3` (patch)

### 7.7.0

_May 31, 2022_

- Added `@csstools/postcss-trigonometric-functions` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-trigonometric-functions#readme) for usage details.
- Updated `@csstools/postcss-cascade-layers` to `1.0.2` (patch)
- Updated `postcss-color-functional-notation` to `4.2.3` (patch)
- Updated `postcss-nesting` to `10.1.7` (patch)

### 7.6.0

_May 19, 2022_

- Added `@csstools/postcss-cascade-layers` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-cascade-layers#readme) for usage details.
- Updated `@csstools/postcss-hwb-function` to `1.0.1` (patch)
- Updated `@csstools/postcss-is-pseudo-class` to `2.0.4` (patch)
- Updated `@csstools/postcss-unset-value` to `1.0.1` (patch)
- Updated `postcss-nesting` to `10.1.6` (patch)
- Updated `postcss-pseudo-class-any-link` to `7.1.4` (patch)
- Updated `autoprefixer` to `10.4.7` (patch)

### 7.5.0

_May 2, 2022_

- Added `@csstools/postcss-unset-value` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-unset-value#readme) for usage details.
- Added `@csstools/postcss-stepped-value-functions` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-stepped-value-functions#readme) for usage details.
- Updated `cssdb` to `6.6.0` (minor)
- Updated `autoprefixer` to `10.4.6` (patch)

### 7.4.4

_April 26, 2022_

- Updated `@csstools/postcss-color-function` to `1.1.0` (minor)
- Updated `@csstools/postcss-is-pseudo-class` to `2.0.2` (patch)
- Updated `@csstools/postcss-oklab-function` to `1.1.0` (minor)
- Updated `autoprefixer` to `10.4.5` (patch)
- Updated `browserslist` to `4.20.3` (patch)
- Updated `postcss-custom-properties` to `12.1.7` (patch)
- Updated `postcss-lab-function` to `4.2.0` (minor)
- Updated `postcss-nesting` to `10.1.4` (patch)
- Updated `postcss-pseudo-class-any-link` to `7.1.2` (patch)

### 7.4.3

_March 19, 2022_

- Fix manually enabling a feature that doesn't meet the required vendor implementations. [#310](https://github.com/csstools/postcss-plugins/issues/310)
- Updated `postcss-clamp` to `4.1.0` (minor)
- Updated `@csstools/postcss-color-function` to `1.0.3` (patch)
- Updated `@csstools/postcss-is-pseudo-class` to `2.0.1` (patch)
- Updated `@csstools/postcss-oklab-function` to `1.0.2` (patch)
- Updated `@csstools/postcss-progressive-custom-properties` to `1.3.0` (minor)
- Updated `autoprefixer` to `10.4.4` (patch)
- Updated `browserslist` to `4.20.2` (patch)
- Updated `cssdb` to `6.5.0` (minor)
- Updated `postcss-custom-properties` to `12.1.5` (patch)
- Updated `postcss-double-position-gradients` to `3.1.1` (patch)
- Updated `postcss-env-function` to `4.0.6` (patch)
- Updated `postcss-lab-function` to `4.1.2` (patch)
- Updated `postcss-nesting` to `10.1.3` (patch)
- Remove internal patch for `postcss-clamp`
- Document all features. [https://github.com/csstools/postcss-preset-env/issues/156](https://github.com/csstools/postcss-preset-env/issues/156)

[see the list of features](https://github.com/csstools/postcss-plugins/blob/main/plugin-packs/postcss-preset-env/FEATURES.md)

### 7.4.2

_March 2, 2022_

- Adding internal patch for `postcss-clamp` to fix issue when `clamp` was being used with any other values along. [#274](https://github.com/csstools/postcss-plugins/issues/274)

### 7.4.1

_February 17, 2022_ 

- Updated `postcss-clamp` to `4.0.0` (major)

### 7.4.0

_February 16, 2022_

- Added `@csstools/color-function` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-color-function#readme) for usage details.
- Added `@csstools/oklab-function` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-oklab-function#readme) for usage details.
- Added `@csstools/ic-unit` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-ic-unit#readme) for usage details.
- Updated `@csstools/postcss-progressive-custom-properties` to `1.2.0` (minor)
- Updated `cssdb` to `6.3.1` (patch)
- Updated `postcss-double-position-gradients` to `3.1.0` (minor)
- Updated `postcss-lab-function` to `4.1.1` (patch)

### 7.3.3

_February 13, 2022_

- Updated `cssdb` to `6.3.0` (minor)

### 6.7.1

_February 13, 2022_

- Added notice when using preset-env with PostCSS > 7 to prompt to upgrade.

### 7.3.2

_February 12, 2022_

- Updated `postcss-lab-function` to `4.1.0` (minor)

`postcss-lab-function` now supports [wide gamut colors](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-lab-function#displayp3) and [out of gamut color mapping](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-lab-function#displayp3).

- Updated `css-blank-pseudo` to `3.0.3` (patch)
- Updated `css-has-pseudo` to `3.0.4` (patch)
- Updated `cssdb` to `6.2.1` (patch)
- Updated `postcss-color-functional-notation` to `4.2.2` (patch)
- Updated `postcss-color-hex-alpha` to `8.0.3` (patch)
- Updated `postcss-dir-pseudo-class` to `6.0.4` (patch)
- Updated `postcss-double-position-gradients` to `3.0.5` (patch)
- Updated `postcss-env-function` to `4.0.5` (patch)
- Updated `postcss-focus-visible` to `6.0.4` (patch)
- Updated `postcss-focus-within` to `5.0.4` (patch)
- Updated `postcss-gap-properties` to `3.0.3` (patch)
- Updated `postcss-image-set-function` to `4.0.6` (patch)
- Updated `postcss-logical` to `5.0.4` (patch)
- Updated `postcss-overflow-shorthand` to `3.0.3` (patch)
- Updated `postcss-place` to `7.0.4` (patch)
- Updated `postcss-pseudo-class-any-link` to `7.1.1` (patch)
- Updated `@csstools/postcss-progressive-custom-properties` to `1.1.0`.

### 7.3.1

_February 3, 2022_ 

- Ensured that `debug` option uses a single instance per run, this allows for `debug` to work on parallel runs within CI environments.
- Normalized exports to support both Common JS and ESM within our modules. This allows for the package to be processable via Webpack [#221](https://github.com/csstools/postcss-plugins/issues/221) 
- Updated `postcss-opacity-percentage` to `1.1.2` (patch).

### 7.3.0

_January 31, 2022_

- Added `@csstools/postcss-is-pseudo-class` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-is-pseudo-class#readme) for usage details.
- Added `@csstools/postcss-hwb-function` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-hwb-function#readme) for usage details.
- Added `postcss-opacity-percentage` <br/> [Check the plugin README](https://github.com/mrcgrtz/postcss-opacity-percentage#readme) for usage details.
- Added `postcss-clamp` <br/> [Check the plugin README](https://github.com/polemius/postcss-clamp#readme) for usage details.
- Added `@csstools/postcss-normalize-display-values` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-normalize-display-values#readme) for usage details.
- Added `@csstools/postcss-font-format-keywords` <br/> [Check the plugin README](https://github.com/csstools/postcss-plugins/tree/main/plugins/postcss-font-format-keywords#readme) for usage details.
- Added `debug` [option](https://github.com/csstools/postcss-plugins/tree/main/plugin-packs/postcss-preset-env#debug) that enables extra debugging information while processing the CSS.
- Added `enableClientSidePolyfills` [option](https://github.com/csstools/postcss-plugins/tree/main/plugin-packs/postcss-preset-env#enableclientsidepolyfills) that allows you to control every single plugin that requires a browser library to fully work. Defaults to `true` so they're enabled by default.
- Added `minimumVendorImplementations` [option](https://github.com/csstools/postcss-plugins/tree/main/plugin-packs/postcss-preset-env#minimumvendorimplementations) that allows you to enable/disable plugins based on their implementation status in browsers.
- Fix sourcemaps for `image-set()` function.
- Removed `caniuse-lite` dependency. This results not only in lower package size but also in better feature detection lead by changes on CSSDB.
- Updated `cssdb` to `6.1.0` (major).
- Updated `css-prefers-color-scheme` to `6.0.3` (patch)
- Updated `postcss-custom-properties` to `12.1.4` (patch)
- Updated `postcss-image-set-function` to `4.0.5` (patch)
- Updated `postcss-pseudo-class-any-link` to `7.1.0` (minor)

### 7.2.3

_January 12, 2022_

- Enhanced `importFrom` / `exportTo` so it's harder to cause unexpected issues by different shapes of data.

### 7.2.2

_January 12, 2022_

- Updated `postcss-logical` to `5.0.3` (patch)
- Updated `postcss-custom-properties` to `12.1.2` (patch)

### 7.2.1

_January 12, 2022_

- Always run plugins with side effects if certain options are set. [#140](https://github.com/csstools/postcss-plugins/issues/140)
  - `custom-media-queries`
  - `custom-properties`
  - `environment-variables`
  - `custom-selectors`
- Updated `caniuse-lite` to `1.0.30001299` (minor)
- Updated `css-blank-pseudo` to `3.0.2` (minor)
- Updated `css-has-pseudo` to `3.0.3` (minor)
- Updated `postcss-color-rebeccapurple` to `7.0.2` (minor)
- Updated `postcss-custom-properties` to `12.1.0` (minor)
- Updated `postcss-dir-pseudo-class` to `6.0.3` (minor)
- Updated `postcss-nesting` to `10.1.2` (minor)

This will ensure that CSS transforms that are not a browser polyfill are still applied.
⚠️ A future major version `postcss-preset-env` will remove this behavior completely.

### 7.2.0

_January 2, 2022_

- Added warnings and useful messages when a feature that doesn't exist is configured. [156](https://github.com/csstools/postcss-preset-env/issues/156).

When configured with these options for example: 

```js
options: {
	features: {
		"custom-media": true,
		"postcss-logical": true,
		"postcss-logica": true,
	}
}
```

It will yield the following warnings:

```bash
Unknown feature: "custom-media" did you mean: "custom-media-queries"
Unknown feature: "postcss-logical" did you mean: "logical-properties-and-values"
Unknown feature: "postcss-logica" did you mean: "logical-properties-and-values"
```

- Removed Sourcemaps from package tarball.
- Moved CLI to CLI Package. See [announcement](https://github.com/csstools/postcss-plugins/discussions/121).
- Updated `postcss` to 8.4 (minor)
- Updated `autoprefixer` to 10.4.1 (patch)
- Updated `caniuse-lite` to 1.0.30001295 (patch)
- Updated `css-blank-pseudo` to 3.0.1 (patch)
- Updated `css-has-pseudo` to 3.0.2 (patch)
- Updated `css-prefers-color-scheme` to 6.0.2 (patch)
- Updated `postcss-color-functional-notation` to 4.2.1 (minor)
- Updated `postcss-color-hex-alpha` to 8.0.2 (patch)
- Updated `postcss-custom-properties` to 12.0.2 (patch)
- Updated `postcss-dir-pseudo-class` to 6.0.2 (patch)
- Updated `postcss-double-position-gradients` to 3.0.4 (patch)
- Updated `postcss-env-function` to 4.0.4 (patch)
- Updated `postcss-focus-visible` to 6.0.3 (patch)
- Updated `postcss-focus-within` to 5.0.3 (patch)
- Updated `postcss-gap-properties` to 3.0.2 (patch)
- Updated `postcss-image-set-function` to 4.0.4 (patch)
- Updated `postcss-lab-function` to 4.0.3 (patch)
- Updated `postcss-logical` to 5.0.2 (patch)
- Updated `postcss-nesting` to 10.1.1 (minor)
- Updated `postcss-overflow-shorthand` to 3.0.2 (patch)
- Updated `postcss-place` to 7.0.3 (patch)
- Updated `postcss-pseudo-class-any-link` to 7.0.2 (patch)

### 7.1.0

_December 22, 2021_

- Updated [`postcss-nesting` to `10.1.0` (minor)](https://github.com/csstools/postcss-plugins/blob/main/plugins/postcss-nesting/CHANGELOG.md#changes-to-postcss-nesting)

### 7.0.2

_December 16, 2021_

- Fixed unexpected behaviours when using different versions of `postcss-values-parser` across the plugins [228](https://github.com/csstools/postcss-preset-env/issues/228)
- Updated `browserlist` to 4.19.1 (minor)
- Updated `caniuse-lite` to `1.0.30001287` (minor)
- Updated `css-blank-pseudo` to `3.0.0` (major)
- Updated `css-has-pseudo` to `3.0.0` (major)
- Updated `css-prefers-color-scheme` to `6.0.0` (major)
- Updated `postcss-color-functional-notation` to `4.1.0` (minor)
- Updated `postcss-color-hex-alpha` to `8.0.1` (patch)
- Updated `postcss-color-rebeccapurple` to `7.0.1` (patch)
- Updated `postcss-custom-properties` to `12.0.1` (patch)
- Updated `postcss-dir-pseudo-class` to `6.0.1` (patch)
- Updated `postcss-double-position-gradients` to `3.0.3` (patch)
- Updated `postcss-env-function` to `4.0.3` (patch)
- Updated `postcss-focus-visible` to `6.0.2` (patch)
- Updated `postcss-focus-within` to `5.0.2` (patch)
- Updated `postcss-gap-properties` to `3.0.1` (patch)
- Updated `postcss-image-set-function` to `4.0.3` (patch)
- Updated `postcss-lab-function` to `4.0.2` (patch)
- Updated `postcss-logical` to `5.0.1` (patch)
- Updated `postcss-nesting` to `10.0.3` (patch)
- Updated `postcss-overflow-shorthand` to `3.0.1` (patch)
- Updated `postcss-place` to `7.0.2` (patch)
- Updated `postcss-pseudo-class-any-link` to `7.0.1` (patch)
- Updated documentation
- Updated `postcss` to be a peer dependency.

### 7.0.1

_November 19, 2021_

- Fixed infinite loop in double-position-gradients [223](https://github.com/csstools/postcss-preset-env/issues/223)
- Fixed "Unknown word" errors in when parsing CSS values [224](https://github.com/csstools/postcss-preset-env/issues/224)
- Fixed "undefined" CSS values after transforms with postcss-place [225](https://github.com/csstools/postcss-preset-env/issues/225)
- Updated `postcss-color-functional-notation` to 4.0.1 (patch)
- Updated `postcss-double-position-gradients` to 3.0.1 (patch)
- Updated `postcss-env-function` to 4.0.2 (patch)
- Updated `postcss-image-set-function` to 4.0.2 (patch)
- Updated `postcss-lab-function` to 4.0.1 (patch)
- Updated `postcss-nesting` to 10.0.2 (patch)
- Updated `postcss-place` to 7.0.1 (patch)

### 7.0.0

_November 16, 2021_

- Updated `autoprefixer` to 10.4.0 (major)
- Updated `browserslist` to 4.17.5 (minor)
- Updated `caniuse-lite` to 1.0.30001272 (patch)
- Updated `css-blank-pseudo` to 2.0.0 (major)
- Updated `css-has-pseudo` to 2.0.0 (major)
- Updated `css-prefers-color-scheme` to 5.0.0 (major)
- Updated `cssdb` to 5.0.0 (major)
- Updated `postcss` to 8.3.0 (major)
- Updated `postcss-attribute-case-insensitive` to 5.0.0 (major)
- Updated `postcss-color-functional-notation` to 4.0.0 (major)
- Updated `postcss-color-hex-alpha` to 8.0.0 (major)
- Updated `postcss-color-rebeccapurple` to 7.0.0 (major)
- Updated `postcss-custom-media` to 8.0.0 (major)
- Updated `postcss-custom-properties` to 12.0.0 (major)
- Updated `postcss-custom-selectors` to 6.0.0 (major)
- Updated `postcss-dir-pseudo-class` to 6.0.0 (major)
- Updated `postcss-double-position-gradients` to 3.0.0 (major)
- Updated `postcss-env-function` to 4.0.1 (major)
- Updated `postcss-focus-visible` to 6.0.1 (major)
- Updated `postcss-focus-within` to 5.0.1 (major)
- Updated `postcss-font-variant` to 5.0.0 (major)
- Updated `postcss-gap-properties` to 3.0.0 (major)
- Updated `postcss-image-set-function` to 4.0.0 (major)
- Updated `postcss-initial` to 3.0.4 (patch)
- Updated `postcss-lab-function` to 4.0.0 (major)
- Updated `postcss-logical` to 5.0.0 (major)
- Updated `postcss-media-minmax` to 5.0.0 (major)
- Updated `postcss-nesting` to 10.0.0 (major)
- Updated `postcss-overflow-shorthand` to 3.0.0 (major)
- Updated `postcss-page-break` to 3.0.4 (major)
- Updated `postcss-place` to 7.0.0 (major)
- Updated `postcss-pseudo-class-any-link` to 7.0.0 (major)
- Updated `postcss-replace-overflow-wrap` to 4.0.0 (major)
- Removed `postcss-selector-matches`
- Removed `postcss-color-gray`
- Updated support for Node 12+ (major)

### 6.7.0

_July 8, 2019_

- Fixed the issue of autoprefixer alerting an upcoming change to the API
- Updated `autoprefixer` to 9.6.1 (minor)
- Updated `browserslist` to 4.6.4 (minor)
- Updated `cssdb` to 4.4.0 (minor)
- Updated `caniuse-lite` to 1.0.30000981 (patch)
- Updated `postcss` to 7.0.17 (patch)
- Updated `postcss-color-hex-alpha` to 5.0.3 (patch)
- Updated `postcss-custom-media` to 7.0.8 (patch)
- Updated `postcss-custom-properties` to 8.0.11 (patch)

### 6.6.0

_February 28, 2019_

- Moved browserslist detection from using each input file per process to using
  the working directory on intialization, as was implied by the documentation.
  If fixing this previously undocumented behavior causes any harm to existing
  projects, it can be easily rolled back in a subsequent patch. For the
  majority of projects — those with a singular browserslist configuration and
  potentially many individually processed CSS files — we should expect reported
  build times around 35 seconds to drop to less than 2 seconds.
- Updated `browserslist` to 4.4.2 (minor)
- Updated `autoprefixer` to 9.4.9 (patch)
- Updated `caniuse-lite` to 1.0.30000939 (patch)
- Updated `postcss` to 7.0.14 (patch)
- Updated `postcss-attribute-case-insensitive` to 4.0.1 (patch)

### 6.5.0

_December 12, 2018_

- Added `css-blank-pseudo` polyfill
- Added `css-has-pseudo` polyfill
- Updated `autoprefixer` to 9.4.2 (minor)
- Updated `browserslist` to 4.3.5 (minor)
- Updated `caniuse-lite` to 1.0.30000918 (patch)
- Updated `css-prefers-color-scheme` to 3.1.1 (minor, patch for this project)
- Updated `cssdb` to 4.3.0 (minor)
- Updated `postcss` to 7.0.6 (patch)

### 6.4.0

_November 6, 2018_

- Fixed `exportTo` option to export Custom Media, Custom Properties, and Custom
  Selectors all to the same function, object, or file
- Added `css-prefers-color-scheme` 3.0.0 (major, non-breaking for this project)
- Updated `cssdb` to 4.2.0 (minor)

### 6.3.1

_November 5, 2018_

- Updated `caniuse-lite` to 1.0.30000905 (patch)
- Updated `postcss-custom-properties` to 8.0.9 (patch)

### 6.3.0

_October 28, 2018_

- Added `postcss-double-position-gradients` 1.0.0 (major, non-breaking for this project)
- Updated `autoprefixer` to 9.3.1 (minor)
- Updated `browserslist` to 4.3.4 (patch)
- Updated `caniuse-lite` to 1.0.30000899 (patch)
- Updated `cssdb` to 4.1.0 (major, non-breaking for this project)

### 6.2.0

_October 22, 2018_

- Updated `autoprefixer` to 9.2.1 (minor)
- Updated `browserslist` to 4.3.1 (minor)

### 6.1.2

_October 19, 2018_

- Updated `browserslist` to 4.2.1 (patch)
- Updated `caniuse-lite` to 1.0.30000893 (patch)
- Updated `postcss-custom-media` to 7.0.7 (patch)

### 6.1.1

_October 12, 2018_

- Updated: `postcss-custom-media` to 7.0.6 (patch)

### 6.1.0

_October 10, 2018_

- Added: `postcss-color-gray`
- Added: Passing `autoprefixer: false` disables autoprefixer
- Updated: `browserslist` to 4.2.0 (minor)
- Updated: `caniuse-lite` to 1.0.30000890 (patch)

### 6.0.10

_October 2, 2018_

- Updated: `postcss-custom-properties` to 8.0.8 (patch)

### 6.0.9

_October 2, 2018_

- Updated: `browserslist` to 4.1.2 (patch)
- Updated: `postcss` to 7.0.5 (patch)
- Updated: `postcss-custom-properties` to 8.0.7 (patch)

### 6.0.8

_October 1, 2018_

- Updated: `caniuse-lite` to 1.0.30000888 (patch)
- Updated: `postcss` to 7.0.4 (patch)

**Did you hear? PostCSS Preset Env is now part of Create React App!** 🎉

### 6.0.7

_September 23, 2018_

- Updated: `postcss` to 7.0.3 (patch)
- Updated: `postcss-custom-properties` to 8.0.6 (patch)

### 6.0.6

_September 23, 2018_

- Updated: `postcss-custom-media` to 7.0.4 (patch)

### 6.0.5

_September 23, 2018_

- Updated: `postcss-color-mod-function` to 3.0.3 (patch)

### 6.0.4

_September 23, 2018_

- Updated: `caniuse-lite` to 1.0.30000887 (patch)
- Updated: `postcss-color-mod-function` to 3.0.2 (patch)

### 6.0.3

_September 21, 2018_

- Updated: `caniuse-lite` to 1.0.30000885 (patch)
- Updated: `postcss-custom-properties` to 8.0.5 (patch)

### 6.0.2

_September 20, 2018_

- Fixed: Do not break on an empty `importFrom` object
- Fixed: Actually run `postcss-env-function`

### 6.0.1

_September 20, 2018_

- Fixed: Issue with the `system-ui` font family polyfill by replacing
  `postcss-font-family-system-ui` with an internal polyfill, at least until the
  problem with the original plugin is resolved.

### 6.0.0

_September 20, 2018_

- Added: Support for PostCSS 7+
- Added: Support for PostCSS Values Parser 2+
- Added: Support for PostCSS Selector Parser 5+
- Added: Support for Node 6+
- Updated: All 28 plugins

### 5.4.0

_July 25, 2018_

- Added: `toggle` option to override which features are enabled or disabled
- Deprecated: toggle features with `toggle`, not `features`

### 5.3.0

_July 24, 2018_

- Updated: `postcss-lab-function` to v1.1.0 (minor update)

### 5.2.3

_July 21, 2018_

- Updated: `postcss-color-mod-function` to v2.4.3 (patch update)

### 5.2.2

_July 13, 2018_

- Updated: `autoprefixer` to v8.6.5 (patch update)
- Updated: `caniuse-lite` to v1.0.30000865 (patch update)
- Updated: `postcss-color-functional-notation` to v1.0.2 (patch update)

### 5.2.1

_June 26, 2018_

- Updated: `caniuse-lite` to v1.0.30000859 (patch update)
- Updated: `postcss-attribute-case-insensitive` to v3.0.1 (patch update)

### 5.2.0

_June 25, 2018_

- Updated: `autoprefixer` to v8.6.3 (minor update)
- Updated: `caniuse-lite` to v1.0.30000858 (patch update)
- Updated: `postcss` to 6.0.23 (patch update)
- Updated: `postcss-nesting` to v6.0.0 (major internal update, non-breaking for this project)

### 5.1.0

_May 21, 2018_

- Added: `autoprefixer` option to pass options into autoprefixer
- Updated: `autoprefixer` to v8.5.0 (minor update)
- Updated: `browserslist` to v3.2.8 (patch update)
- Updated: `caniuse-lite` to v1.0.30000844 (patch update)
- Updated: `postcss-color-functional-notation` to v1.0.1 (patch update)

### 5.0.0

_May 11, 2018_

- Added: `autoprefixer`
- Added: `postcss-color-functional-notation`
- Added: `postcss-env-function`
- Added: `postcss-lab-function`
- Added: `postcss-place`
- Added: `postcss-gap-properties`
- Added: `postcss-overflow-shorthand`
- Updated: `cssdb` to v3.1.0 (major update)
- Updated: In conformance with cssdb v3, the default stage is now 2
- Updated: `postcss-attribute-case-insensitive` to v3.0.0 (major update)
- Updated: `postcss-pseudo-class-any-link` to v5.0.0 (major update)
- Updated: `postcss-image-set-function` to v2.0.0 (major update)
- Updated: `postcss-dir-pseudo-class` to v4.0.0 (major update)
- Updated: `postcss-color-rebeccapurple` to v3.1.0 (minor update)
- Updated: `postcss` to v6.0.22 (patch update)
- Updated: `browserslist` to v3.2.7 (patch update)
- Updated: `caniuse-lite` to v1.0.30000839 (patch update)

All plugins now conform to the latest stable releases of `postcss-value-parser`
v1.5.0 and `postcss-selector-parser` v4.0.0.

### 4.1.0

_April 23, 2018_

- Updated: `browserslist` to v3.2.5 (patch update)
- Updated: `caniuse-lite` to v1.0.30000830 (patch update)
- Updated: `postcss-apply` to v0.10.0 (minor update)
- Updated: `postcss-nesting` to v5.0.0 (major update, non-breaking for this project)

### 4.0.0

_April 7, 2018_

- Added: `postcss-focus-within`
- Updated: `postcss-focus-visible` to v3.0.0 (major update)
- Updated: `caniuse-lite` to v1.0.30000824 (patch update)
- Updated: `cssdb` to v2.0.0 (major update)
- Changed: All `specificationId` names to new `id` names for the `cssdb` update.

### 3.5.0

_April 5, 2018_

- Fixed: `selectors-matches-pseudo` mapping to allow `:matches` polyfilling
- Updated: `postcss-dir-pseudo-class` to v3.0.0 (major update, non-breaking for this project)
- Updated: `postcss-logical` to v1.1.1 (minor update)
- Updated: `postcss` to v6.0.21 (patch update)
- Updated: `browserslist` to v3.2.4 (patch update)
- Updated: `caniuse-lite` to v1.0.30000823 (patch update)

### 3.4.0

_March 18, 2018_

- Updated: `browserslist` to v3.2.0 (minor update)
- Updated: `postcss` to v6.0.20 (patch update)
- Updated: `postcss-image-set-polyfill` to `@csstools/postcss-image-set-function` (hopefully temporarily)

### 3.3.0

_March 16, 2018_

- Updated: `postcss-apply` to v0.9.0 (minor update)
- Updated: `browserslist` to v3.1.2 (patch update)
- Updated: `caniuse-lite` to v1.0.30000815 (patch update)
- Updated: distribution to cjs and es bundles

### 3.2.2

_February 27, 2018_

- Updated: `postcss-color-mod-function` to v2.4.2 (patch update)

### 3.2.1

_February 21, 2018_

- Updated: Use the latest tested version of all dependencies

### 3.2.0

_February 18, 2018_

- Added: `postcss-page-break` which has moved here from Autoprefixer

### 3.1.0

_February 17, 2018_

- Added: `postcss-focus-visible`

### 3.0.0

_February 16, 2018_

- Updated: `postcss-color-mod-function` to v2.4 (minor update)
- Updated: `postcss-custom-properties` to v7.0 (major update)

### 2.2.0

_February 14, 2018_

- Updated: `browserslist` to v3.1 (major update)
- Updated: `postcss-color-mod-function` to v2.3 (minor update)
- Improved: cleaned up one reusable variable and added a few tests

### 2.1.0

_January 22, 2018_

- Updated: `cssdb` to v1.5 (minor update)
- Updated: `postcss-color-mod-function` to v2.2 (major update)
- Updated: `postcss-font-family-system-ui` to v3.0 (repo update)

### 2.0.0

_January 16, 2018_

- Initial version

### 1.0.0

_December 20, 2017_

- Unsupported version accidentally published by a member of the community
